/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
    
package org.pustefixframework.editor.webui.wrappers;
    
import de.schlund.pfixcore.generator.*;

import de.schlund.pfixcore.generator.annotation.*;

/**
 * THIS CLASS IS AUTOGENERATED! DO NOT EDIT IN ANY WAY!
 */

public abstract class CommonUploadIncludePart extends IWrapperImpl {

    @Override
    protected synchronized void registerParams() {
        
        IWrapperParam          pinfo;
        
        IWrapperParamCaster    caster;
        
        // Content
        if(!params.containsKey("Content")) {
        pinfo  = new IWrapperParam("Content", false, true, null, "java.lang.String", true);
          
        params.put("Content", pinfo);
          
        }  
        
      
        // Hash
        if(!params.containsKey("Hash")) {
        pinfo  = new IWrapperParam("Hash", false, true, null, "java.lang.String", true);
          
        params.put("Hash", pinfo);
          
        }  
        
      
        // DoUpload
        if(!params.containsKey("DoUpload")) {
        pinfo  = new IWrapperParam("DoUpload", false, true, null, "java.lang.Boolean", true);
          
        params.put("DoUpload", pinfo);
          
        caster = new de.schlund.pfixcore.generator.casters.ToBoolean();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        // DoOverwriteWithStoredContent
        if(!params.containsKey("DoOverwriteWithStoredContent")) {
        pinfo  = new IWrapperParam("DoOverwriteWithStoredContent", false, true, null, "java.lang.Boolean", true);
          
        params.put("DoOverwriteWithStoredContent", pinfo);
          
        caster = new de.schlund.pfixcore.generator.casters.ToBoolean();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        // StoredContent
        if(!params.containsKey("StoredContent")) {
        pinfo  = new IWrapperParam("StoredContent", false, true, null, "java.lang.String", true);
          
        params.put("StoredContent", pinfo);
          
        }  
        
      
        // PreserveFormat
        if(!params.containsKey("PreserveFormat")) {
        pinfo  = new IWrapperParam("PreserveFormat", false, true, null, "java.lang.Boolean", true);
          
        params.put("PreserveFormat", pinfo);
          
        caster = new de.schlund.pfixcore.generator.casters.ToBoolean();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        super.registerParams();
    }
    
    // Content
    public java.lang.String getContent() {
        return (java.lang.String) gimmeParamForKey("Content").getValue();
    }
    
    public void setStringValContent(String v) {
        gimmeParamForKey("Content").
          setStringValue(new String[] {v});
    }

    public void setContent(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Content");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeContent(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Content"), scode, null, null);
    }

    public void addSCodeContent(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Content"), scode, args, level);
    }

    /**
      * @deprecated use addScodeContent(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsContent(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Content"), scode, args, null);
    }
        
    // Hash
    public java.lang.String getHash() {
        return (java.lang.String) gimmeParamForKey("Hash").getValue();
    }
    
    public void setStringValHash(String v) {
        gimmeParamForKey("Hash").
          setStringValue(new String[] {v});
    }

    public void setHash(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Hash");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeHash(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Hash"), scode, null, null);
    }

    public void addSCodeHash(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Hash"), scode, args, level);
    }

    /**
      * @deprecated use addScodeHash(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsHash(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Hash"), scode, args, null);
    }
        
    // DoUpload
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToBoolean.class
    )
    public java.lang.Boolean getDoUpload() {
        return (java.lang.Boolean) gimmeParamForKey("DoUpload").getValue();
    }
    
    public void setStringValDoUpload(String v) {
        gimmeParamForKey("DoUpload").
          setStringValue(new String[] {v});
    }

    public void setDoUpload(java.lang.Boolean v) {
        IWrapperParam iwrpParam = gimmeParamForKey("DoUpload");
        setStringValue(new java.lang.Boolean[] {v}, iwrpParam);
    }

    public void addSCodeDoUpload(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("DoUpload"), scode, null, null);
    }

    public void addSCodeDoUpload(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("DoUpload"), scode, args, level);
    }

    /**
      * @deprecated use addScodeDoUpload(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsDoUpload(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("DoUpload"), scode, args, null);
    }
        
    // DoOverwriteWithStoredContent
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToBoolean.class
    )
    public java.lang.Boolean getDoOverwriteWithStoredContent() {
        return (java.lang.Boolean) gimmeParamForKey("DoOverwriteWithStoredContent").getValue();
    }
    
    public void setStringValDoOverwriteWithStoredContent(String v) {
        gimmeParamForKey("DoOverwriteWithStoredContent").
          setStringValue(new String[] {v});
    }

    public void setDoOverwriteWithStoredContent(java.lang.Boolean v) {
        IWrapperParam iwrpParam = gimmeParamForKey("DoOverwriteWithStoredContent");
        setStringValue(new java.lang.Boolean[] {v}, iwrpParam);
    }

    public void addSCodeDoOverwriteWithStoredContent(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("DoOverwriteWithStoredContent"), scode, null, null);
    }

    public void addSCodeDoOverwriteWithStoredContent(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("DoOverwriteWithStoredContent"), scode, args, level);
    }

    /**
      * @deprecated use addScodeDoOverwriteWithStoredContent(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsDoOverwriteWithStoredContent(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("DoOverwriteWithStoredContent"), scode, args, null);
    }
        
    // StoredContent
    public java.lang.String getStoredContent() {
        return (java.lang.String) gimmeParamForKey("StoredContent").getValue();
    }
    
    public void setStringValStoredContent(String v) {
        gimmeParamForKey("StoredContent").
          setStringValue(new String[] {v});
    }

    public void setStoredContent(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("StoredContent");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeStoredContent(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("StoredContent"), scode, null, null);
    }

    public void addSCodeStoredContent(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("StoredContent"), scode, args, level);
    }

    /**
      * @deprecated use addScodeStoredContent(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsStoredContent(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("StoredContent"), scode, args, null);
    }
        
    // PreserveFormat
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToBoolean.class
    )
    public java.lang.Boolean getPreserveFormat() {
        return (java.lang.Boolean) gimmeParamForKey("PreserveFormat").getValue();
    }
    
    public void setStringValPreserveFormat(String v) {
        gimmeParamForKey("PreserveFormat").
          setStringValue(new String[] {v});
    }

    public void setPreserveFormat(java.lang.Boolean v) {
        IWrapperParam iwrpParam = gimmeParamForKey("PreserveFormat");
        setStringValue(new java.lang.Boolean[] {v}, iwrpParam);
    }

    public void addSCodePreserveFormat(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("PreserveFormat"), scode, null, null);
    }

    public void addSCodePreserveFormat(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("PreserveFormat"), scode, args, level);
    }

    /**
      * @deprecated use addScodePreserveFormat(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsPreserveFormat(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("PreserveFormat"), scode, args, null);
    }
        
}
  